#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamMouseWheelDirection {
    Down = -120,
    Left = 3,
    Right = 4,
    Up = 120,
}

impl EStreamMouseWheelDirection {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Down as i32 => Some(Self::Down),
            x if x == Self::Left as i32 => Some(Self::Left),
            x if x == Self::Right as i32 => Some(Self::Right),
            x if x == Self::Up as i32 => Some(Self::Up),
            _ => None,
        }
    }
}
